Get Virtual Card Fees
curl --request GET \
--url https://sandbox.getmipay.com/api/virtual-cards/fees \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.getmipay.com/api/virtual-cards/fees"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.getmipay.com/api/virtual-cards/fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"fees": [
{
"id": 1,
"card_grade": "BASIC",
"card_type": "VISA",
"currency": "USD",
"creation_fee": 3.5,
"monthly_fee": 1.3,
"top_up_fee": 1.2,
"withdrawal_fee": 3.3,
"reject_balance_fee": 1.1,
"funding_limits": {
"min": 2,
"max": 10000,
"currency": "USD"
},
"is_active": true,
"last_updated": "2024-01-15T10:30:00Z"
}
],
"total_fee_configurations": 4,
"currencies_available": [
"USD"
],
"card_types_available": [
"VISA",
"MASTERCARD"
],
"card_grades_available": [
"BASIC",
"PREMIUM"
],
"timestamp": "2023-11-07T05:31:56Z",
"message": "Fees operaton successfully retrieved"
}
}{
"success": false,
"message": "Invalid KEY",
"error_code": "INVALID_PUBLIC_KEY"
}{
"success": false,
"message": "Invalid KEY",
"error_code": "INVALID_PUBLIC_KEY"
}Utils
Get all virtual card fee configurations
Retrieve all active virtual card fee configurations. Fees shown are total amounts including both Soleaspay and GetMiPay fees.
GET
/
virtual-cards
/
fees
Get Virtual Card Fees
⌘I
